Subscription preference

Notification emails are sent to your Samsung account email address.

* Email : anonymous@samsung.com

  

Close

Watch designer crashing on Mac OS X El Captain

Forums View
Started by Newbie envieme , 960 Seed Jan 07, 2016 14:24 Replies : 7 View : 6185 Likes : 1
It fails to launch on mac os el-captain with the following log.

!SESSION 2016-01-07 22:20:17.028 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_45
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
Framework arguments:  -keyring /Users/Admin/.eclipse_keyring -showlocation
Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -keyring /Users/Admin/.eclipse_keyring -showlocation

!ENTRY wfb_view 4 0 2016-01-07 22:20:20.333
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: wfb_view [65]
  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY wfb_view 2 0 2016-01-07 22:20:21.340
!MESSAGE Could not resolve module: wfb_view [65]
  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"


!ENTRY org.eclipse.osgi 4 0 2016-01-07 22:20:21.347
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "wfb_view.application" could not be found in the registry. The applications available are: org.eclipse.e4.ui.workbench.swt.E4Application, org.eclipse.e4.ui.workbench.swt.GenTopic, org.eclipse.equinox.app.error.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)

Tags

gearwatchdesigner , crash , bug

Post Reply
Board View
Developer moochang.kim , 4760 Seed Jan 08, 2016 00:00 Post #1 0
Hi.
log says you are using Java 1.7.0_45.
GearWatchDesigner requires JRE 1.8 or above.
you can download latest JRE in below link.
      http://java.com/en/download/
Regards
MooChang.Kim
Post Reply
Board View
Developer wdm , 3740 Seed Jan 17, 2016 17:35 Post #2 0
I'm having the same issue.  Including log below - app is detecting 1.7.0_60 but I am running Version 8 Update 66 (build 1.8.0_66_b17) - my system preferences panel is showing that version and I can verify it here: https://java.com/en/download/installed.jsp  as well - screen cap of the about java from systme prefs extension  attached.

I tried uninstalling eclipse as well as GearWatchDesigner and re-installing both - then running after a reboot - same issue. Help is appreciated - will post a solve if I find one.




Error log:


!SESSION 2016-01-17 12:17:03.456 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_60
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
Framework arguments:  -keyring /Users/williammartin/.eclipse_keyring -showlocation
Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -keyring /Users/williammartin/.eclipse_keyring -showlocation
!ENTRY wfb_view 4 0 2016-01-17 12:17:05.902
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: wfb_view [65]
  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)





!ENTRY wfb_view 2 0 2016-01-17 12:17:06.413
!MESSAGE Could not resolve module: wfb_view [65]
  Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"


!ENTRY org.eclipse.osgi 4 0 2016-01-17 12:17:06.415
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "wfb_view.application" could not be found in the registry. The applications available are: org.eclipse.e4.ui.workbench.swt.E4Application, org.eclipse.e4.ui.workbench.swt.GenTopic, org.eclipse.equinox.app.error.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
 


Post Reply
Board View
Developer wdm , 3740 Seed Jan 17, 2016 19:27 Post #3 0
Hi all - I was able to get it sorted out:

in terminal utility I tried:

java -version
and found that it was still listing java 1.7

Some research showed that the pathing might be off (i.e.  apps not able to resolve path to latest java)

did some hunting around and found this article:
http://osxdaily.com/2015/10/17/how-to-install-java-in-os-x-el-capitan/

and from there the JDK installer:

http://www.oracle.com/technetwork/java/javase/downloads/index.html

downloaded and ran the JDK installer and then did a reboot.   Back in terminal calling java -version now shows:

java version "1.8.0_66"

GearWatchDesigner  now running - hoping this means I can create watch faces and get them onto my device next.




Post Reply
Board View
Newbie grahamlucas , 510 Seed Feb 05, 2016 20:37 Post #4 1
I was having the same problem, installed jdk-8u74-macosx-x64 and it's now working.

Thanks very much for posting the solution!


Post Reply
Board View
Developer Eric.megger , 1320 Seed Feb 14, 2016 12:47 Post #5 0
I still get the following errors:

Code

14.02.16 13:44:17,965 com.apple.xpc.launchd[1]: 
(org.eclipse.eclipse.280352[1772]) Could not find and/or execute program specified by service: 13: Permission denied: /Applications/GearWatchDesigner/GearWatchDesigner.app/Contents/MacOS/GearWatchDesigner

14.02.16 13:44:17,965 Spotlight[344]: 
spawn_via_launchd() failed, errno=111 label=org.eclipse.eclipse.280352 path=/Applications/GearWatchDesigner/GearWatchDesigner.app/Contents/MacOS/GearWatchDesigner flags=0 : LaunchApplicationClient.cp #1136 LaunchApplicationViaLaunchDJobLabel() q=com.apple.root.user-initiated-qos

14.02.16 13:44:17,965 Spotlight[344]: 
spawn_via_launchd() failed, errno=111 label=org.eclipse.eclipse.280352 path=/Applications/GearWatchDesigner/GearWatchDesigner.app/Contents/MacOS/GearWatchDesigner flags=0

14.02.16 13:44:17,965 com.apple.xpc.launchd[1]: 
(org.eclipse.eclipse.280352[1772]) Service setup event to handle failure and will not launch until it fires.

Installed Java 6, updated to Java 8 and terminal is showing:

Code

MacBook-Pro:~ admin$ java -version
java version "1.8.0_74"
Java(TM) SE Runtime Environment (build 1.8.0_74-b02)
Java HotSpot(TM) 64-Bit Server VM (build 25.74-b02, mixed mode)


 

Post Reply
Board View
Newbie gcstang , 230 Seed Feb 06, 2017 22:06 Post #6 0
Having an issue also after a fresh install on Mac OSX El Capitan

Upon opening I immediately get a prompt that has:

Title : GearWatchDesigner
Message:
    An error has occured.
    See the log file
    null.

Where is the log supposed to be located?

GearWatchDesigner 1.3.0

************* UPDATE ********************
I ended up setting my JDK to 1.7 and opening the application, it crashed but I have a log path instead of null now.  Then I set my JDK back to 1.8 and it's working, finally!
 
Post Reply
Board View
Newbie maincpa88 , 710 Seed Jun 12, 2017 11:55 Post #7 0

 
I'm having the same issue.  Including log below - app is detecting 1.7.0_60 but I am running Version 8 Update 66 (build 1.8.0_66_b17) - my system preferences panel is showing that version and I can verify it here: https://java.com/en/download/installed.jsp  as well - screen cap of the about java from systme prefs extension  attached and get madden mobile hack .

I tried uninstalling eclipse as well as GearWatchDesigner and re-installing both - then running after a reboot - same issue. Help is appreciated - will post a solve if I find one.
Post Reply